Subject: Re: [NET]: Add netif_tx_lock

From: Roland Dreier <[email-masked]>
Date: Mon, 05 Jun 2006 21:50:11 -0700

Roland> Sorry, I haven't followed this thread closely.  Can you
    Roland> expand on what the bug in ipoib's multicast locking is?

You know, looking at the ipoib code, I can't even recreate why
xmit_lock is taken in the set_multicast_list method anyway, or how it
works at all -- it seems set_multicast_list will always be called with
xmit_lock already held.  What the heck is going on?

 - R.